- add wfb.so symlink
[packages/xorg-driver-video-nvidia.git] / xorg-driver-video-nvidia.spec
index 343f2203f1fec76b9f1f820ec4bfbe1e2edfe7f9..f921b1aa0152f9cd887ade0b8a7e5c61e0eaad7a 100644 (file)
@@ -1,6 +1,7 @@
 #
 # Conditional build:
 %bcond_without dist_kernel     # without distribution kernel
+%bcond_without up              # without up packages
 %bcond_without smp             # without smp packages
 %bcond_without kernel          # without kernel packages
 %bcond_without incall          # include all tarballs
@@ -10,9 +11,9 @@
 %define                no_install_post_strip 1
 #
 %define                _nv_ver         1.0
-%define                _nv_rel         9742
+%define                _nv_rel         9746
 %define                _min_x11        6.7.0
-%define                _rel            0.1
+%define                _rel            1
 #
 %define                need_x86        0
 %define                need_x8664      0
@@ -36,12 +37,12 @@ Release:    %{_rel}
 License:       nVidia Binary
 Group:         X11
 %if %{need_x86}
-Source0:       http://us.download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg0.run
-# Source0-md5: 3c8ed949aae2b9934518f8a9d94fc6e2
+Source0:       http://us.download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg1.run
+# Source0-md5: cf0cdbd9099a6df028de429044e7f4da
 %endif
 %if %{need_x8664}
 Source1:       http://us.download.nvidia.com/XFree86/Linux-x86_64/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2.run
-# Source1-md5: 667ba4ad2201a0b43d9e1d8637106b4a
+# Source1-md5: c0afc66e1c21a9a54ba6719b8edd3166
 %endif
 Source2:       %{name}-xinitrc.sh
 Patch0:                X11-driver-nvidia-GL.patch
@@ -57,16 +58,12 @@ BuildConflicts:     XFree86-nvidia
 Requires:      xorg-xserver-server
 Provides:      OpenGL = 1.5
 Provides:      OpenGL-GLX
-Provides:      X11-OpenGL-core
-Provides:      X11-OpenGL-libGL
-Provides:      XFree86-OpenGL-core
-Provides:      XFree86-OpenGL-libGL
 Provides:      xorg-xserver-modules-libglx
 Obsoletes:     Mesa
-Obsoletes:     X11-OpenGL-core
-Obsoletes:     X11-OpenGL-libGL
-Obsoletes:     XFree86-OpenGL-core
-Obsoletes:     XFree86-OpenGL-libGL
+Obsoletes:     X11-OpenGL-core < 1:7.0.0
+Obsoletes:     X11-OpenGL-libGL < 1:7.0.0
+Obsoletes:     XFree86-OpenGL-core < 1:7.0.0
+Obsoletes:     XFree86-OpenGL-libGL < 1:7.0.0
 Obsoletes:     XFree86-driver-nvidia
 Obsoletes:     XFree86-nvidia
 Conflicts:     XFree86-OpenGL-devel <= 4.2.0-3
@@ -177,7 +174,7 @@ cd %{_builddir}
 rm -rf NVIDIA-Linux-x86*-%{_nv_ver}-%{_nv_rel}-pkg*
 %ifarch %{ix86}
 /bin/sh %{SOURCE0} --extract-only
-%setup -qDT -n NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg0
+%setup -qDT -n NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg1
 %else
 /bin/sh %{SOURCE1} --extract-only
 %setup -qDT -n NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2
@@ -215,6 +212,7 @@ install %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/nvidia-settings.sh
 
 for f in \
        usr/lib/tls/libnvidia-tls.so.%{version}         \
+       usr/lib/libnvidia-cfg.so.%{version}             \
        usr/lib/libGL{,core}.so.%{version}              \
        usr/X11R6/lib/libXvMCNVIDIA.so.%{version}       \
        usr/X11R6/lib/libXvMCNVIDIA.a                   \
@@ -226,12 +224,15 @@ install usr/X11R6/lib/modules/extensions/libglx.so.%{version} \
        $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions
 install usr/X11R6/lib/modules/drivers/nvidia_drv.so \
        $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers
+install usr/X11R6/lib/modules/libnvidia-wfb.so.%{version} \
+       $RPM_BUILD_ROOT%{_libdir}/xorg/modules
 
 install usr/include/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL
 
 ln -sf libglx.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libglx.so
 ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA.so
 ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA_dynamic.so.1
+ln -sf libnvidia-wfb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/wfb.so
 
 # OpenGL ABI for Linux compatibility
 ln -sf libGL.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libGL.so.1
@@ -287,15 +288,20 @@ EOF
 %attr(755,root,root) %{_libdir}/libGLcore.so.*.*
 %attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so.*.*
 %attr(755,root,root) %{_libdir}/libXvMCNVIDIA_dynamic.so.1
+%attr(755,root,root) %{_libdir}/libnvidia-cfg.so.*.*.*
 %attr(755,root,root) %{_libdir}/libnvidia-tls.so.*.*.*
-%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so*
+%attr(755,root,root) %{_libdir}/xorg/modules/libnvidia-wfb.so.*.*.*
+%attr(755,root,root) %{_libdir}/xorg/modules/wfb.so
 %attr(755,root,root) %{_libdir}/xorg/modules/drivers/nvidia_drv.so
+%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so*
 %endif
 
 %if %{with kernel}
+%if %{with up} || %{without dist_kernel}
 %files -n kernel%{_alt_kernel}-video-nvidia
 %defattr(644,root,root,755)
 /lib/modules/%{_kernel_ver}/misc/*.ko*
+%endif
 
 %if %{with smp} && %{with dist_kernel}
 %files -n kernel%{_alt_kernel}-smp-video-nvidia
This page took 0.063753 seconds and 4 git commands to generate.